package cn.bsl.bxbg.zhiban.adapter;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import java.util.ArrayList;
import java.util.List;

import butterknife.BindView;
import butterknife.ButterKnife;
import cn.bsl.bxbg.zhiban.R;
import cn.bsl.bxbg.zhiban.bean.ShiftBean;

/**
 * Created by Xinghx on 2018/5/20 0020.
 */

public class ShiftAdapter extends BaseAdapter {
    private List<ShiftBean> shiftBeen = new ArrayList<>();

    public ShiftAdapter(List<ShiftBean> shiftBeen) {
        this.shiftBeen = shiftBeen;
    }

    @Override
    public int getCount() {
        return shiftBeen.size();
    }

    @Override
    public Object getItem(int position) {
        return null;
    }

    @Override
    public long getItemId(int position) {
        return 0;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        ViewHolder viewHolder = null;
        if (convertView == null) {
            convertView = LayoutInflater.from(parent.getContext()).inflate(R.layout.item_zhiban_info, parent, false);
            viewHolder = new ViewHolder(convertView);
            convertView.setTag(viewHolder);
        } else {
            viewHolder = (ViewHolder) convertView.getTag();
        }
        viewHolder.nextPeople.setText("下个值班人员:");
        viewHolder.zbName.setText(shiftBeen.get(position).getSuccessor());
        viewHolder.zbTime.setText(shiftBeen.get(position).getDutyDate());
        viewHolder.zbTitle.setText(shiftBeen.get(position).getHandover()+"的值班");
        return convertView;
    }

    static class ViewHolder {
        @BindView(R.id.zb_title)
        TextView zbTitle;
        @BindView(R.id.zb_name)
        TextView zbName;
        @BindView(R.id.zb_time)
        TextView zbTime;
        @BindView(R.id.zb_name_title)
        TextView nextPeople;

        ViewHolder(View view) {
            ButterKnife.bind(this, view);
        }
    }
}
