package cn.bsl.bxbg.zhiban.utils;

import android.util.Log;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/**
 * Created by Xinghx on 2018/5/19 0019.
 */

public class DateUtils {
    public static Calendar getInputCalendar(String date) {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Calendar calendar = Calendar.getInstance();
        try {
            Date parse = sdf.parse(date);
            calendar.setTime(parse);
        } catch (ParseException e) {
            e.printStackTrace();
        }
        return calendar;
    }

    public static String getMonth() {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM");
        Calendar calendar = Calendar.getInstance();
        String getYearAndMonth = sdf.format(calendar.getTime());
        Log.d("datedate", "getMonth: " + calendar.getTime());

        return getYearAndMonth;

    }

    public static Calendar getTomorrowDate(String date) {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        Calendar calendar = Calendar.getInstance();
        try {
            Date parse = sdf.parse(date);
            calendar.setTime(parse);
            calendar.add(calendar.DATE, 1);
            Log.d("datedate", "getTomorrowDate: " + calendar.getTime());
        } catch (ParseException e) {
            e.printStackTrace();
        } finally {
            return calendar;
        }
    }
}
