package cn.bsl.bxbg.zhiban.utils;

import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.widget.TextView;

import cn.bsl.bxbg.zhiban.R;


public class LoadDialog extends Dialog
{
	Context mContext;
	private TextView loadTv;

	public LoadDialog(Context context)
	{
		super(context);
		this.mContext = context;
	}

	public LoadDialog(Context context, int theme)
	{
		super(context, theme);
		this.mContext = context;
	}

	@Override
	protected void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.widget_load_dialog);
		// 使dialog全局
		getWindow().setLayout(android.view.ViewGroup.LayoutParams.MATCH_PARENT, android.view.ViewGroup.LayoutParams.MATCH_PARENT);
		initViews();
	}

	// 控件初始化
	private void initViews()
	{
		loadTv = (TextView) findViewById(R.id.widget_dialog_loading_tv);
	}

	
	public void setLoadText(String text)
	{
		loadTv.setText(text);
	}

}
