package cn.bsl.bxbg.zhiban.view;

import android.os.Bundle;
import android.support.design.widget.TabLayout;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentStatePagerAdapter;
import android.support.v4.view.ViewPager;

import java.util.ArrayList;
import java.util.List;

import butterknife.BindView;
import butterknife.ButterKnife;
import cn.bsl.bxbg.zhiban.BaseActivity;
import cn.bsl.bxbg.zhiban.R;
import cn.bsl.bxbg.zhiban.fragment.WaitMeFinishFragment;
import cn.bsl.bxbg.zhiban.fragment.WaitMeNotFinishFragment;
import cn.bsl.bxbg.zhiban.net.client.DutyPlanClient;
import cn.bsl.bxbg.zhiban.net.response.CCShifts;

public class WaitMeActivity extends BaseActivity {

    List<CCShifts> ccShiftsList;
    private ViewPagerAdapter viewPagerAdapter;
    @BindView(R.id.tb_layout)
    TabLayout tbLayout;
    @BindView(R.id.tb_viewpager)
    ViewPager tbViewpager;
    private String[] mTitles = new String[]{"已完成", "未完成"};
    private DutyPlanClient dutyPlanClient = new DutyPlanClient();
    private ArrayList<Fragment> waitMeFinishFragments = new ArrayList<>();
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_wait_me);
        ButterKnife.bind(this);
        viewPagerAdapter = new ViewPagerAdapter(getSupportFragmentManager());
        waitMeFinishFragments.add(new WaitMeFinishFragment());
        waitMeFinishFragments.add(new WaitMeNotFinishFragment());
        tbViewpager.setAdapter(viewPagerAdapter);
        tbLayout.setupWithViewPager(tbViewpager);
//        initData();
    }


    public class ViewPagerAdapter extends FragmentStatePagerAdapter {

        public ViewPagerAdapter(FragmentManager fm) {
            super(fm);
        }

        @Override
        public Fragment getItem(int position) {
            return waitMeFinishFragments.get(position);
        }

        @Override
        public int getCount() {
            return waitMeFinishFragments.size();
        }

        @Override
        public CharSequence getPageTitle(int position) {
            return mTitles[position];
        }
    }
}
